| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
AudioClassHost.c File Reference
`#include "../../Core/USBMode.h"`
`#include "AudioClassHost.h"`

Go to the source code of this file.

## Functions
uint8_t | Audio_Host_ConfigurePipes (USB_ClassInfo_Audio_Host_t *const AudioInterfaceInfo, uint16_t ConfigDescriptorSize, void *ConfigDescriptorData)
| Host interface configuration routine, to configure a given Audio host interface instance using the Configuration Descriptor read from an attached USB device. This function automatically updates the given Audio Host instance's state values and configures the pipes required to communicate with the interface if it is found within the device. This should be called once after the stack has enumerated the attached device, while the host state machine is in the Addressed state.
static uint8_t | DCOMP_Audio_Host_NextAudioControlInterface (void *CurrentDescriptor)
static uint8_t | DCOMP_Audio_Host_NextAudioStreamInterface (void *CurrentDescriptor)
static uint8_t | DCOMP_Audio_Host_NextAudioInterfaceDataEndpoint (void *CurrentDescriptor)
uint8_t | Audio_Host_StartStopStreaming (USB_ClassInfo_Audio_Host_t *const AudioInterfaceInfo, const bool EnableStreaming)
| Starts or stops the audio streaming for the given configured Audio Host interface, allowing for audio samples to be send and/or received.
uint8_t | Audio_Host_GetSetEndpointProperty (USB_ClassInfo_Audio_Host_t *const AudioInterfaceInfo, const uint8_t DataPipeIndex, const uint8_t EndpointProperty, const uint8_t EndpointControl, const uint16_t DataLength, void *const Data)
| Gets or sets the specified property of a streaming audio class endpoint that is bound to a pipe in the given class instance.

## Function Documentation

static uint8_t DCOMP_Audio_Host_NextAudioControlInterface | ( | void * | CurrentDescriptor | ) |
| static

Definition at line 148 of file AudioClassHost.c.

static uint8_t DCOMP_Audio_Host_NextAudioInterfaceDataEndpoint | ( | void * | CurrentDescriptor | ) |
| static

Definition at line 186 of file AudioClassHost.c.

static uint8_t DCOMP_Audio_Host_NextAudioStreamInterface | ( | void * | CurrentDescriptor | ) |
| static

Definition at line 167 of file AudioClassHost.c.